<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="offData"
            type="String" />

        <import type="android.view.View" />

        <variable
            name="visible"
            type="Boolean" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/activity_horizontal_margin"
        android:padding="5dp"
        tools:context=".fragment.PresetsFragment">

        <ListView
            android:id="@+id/presets_list_view"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/margin_medium"
            android:divider="@android:color/transparent"
            android:dividerHeight="@dimen/margin_medium"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/presets_btn_add_new"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/margin_medium"
            android:visibility="@{visible?View.VISIBLE:View.GONE}"
            app:layout_constraintBottom_toTopOf="@id/presets_btn_add_new"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/presets_btn_add_new"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/button_background"
            android:minHeight="@dimen/button_minheight"
            android:paddingLeft="@dimen/button_padding"
            android:paddingRight="@dimen/button_padding"
            android:text="@string/add_new"
            android:textAllCaps="false"
            android:textColor="@android:color/white"
            android:textSize="@dimen/small_textsize"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <ProgressBar
            android:id="@+id/presets_progressBar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:padding="10dp"
            android:text="@{offData}"
            android:textColor="@color/white"
            android:textSize="15sp"
            android:visibility="@{visible?View.GONE:View.VISIBLE}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>